LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XAccessibleEventListener Interface Reference

makes it possible to register a component as a listener, which is called whenever an accessibility event occurs. More...

`import "XAccessibleEventListener.idl";`

Inheritance diagram for XAccessibleEventListener:

## Public Member Functions
void | notifyEvent ([in] AccessibleEventObject aEvent)
| is called whenever an accessible event (see AccessibleEventObject) occurs.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to register a component as a listener, which is called whenever an accessibility event occurs.

See also
  XAccessibleEventBroadcaster

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ notifyEvent()

void notifyEvent | ( | [in] AccessibleEventObject | aEvent | ) |

is called whenever an accessible event (see AccessibleEventObject) occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleEventListener.idl